ReductionStrategy.h File Reference
`#include "groebner_defs.h"`
`#include "polynomial_properties.h"`
`#include "PolyEntryVector.h"`
`#include "ReductionOptions.h"`
`#include "ReductionTerms.h"`
`#include "SetAssociatedMinimal.h"`

Go to the source code of this file.

## Classes

class | polybori::groebner::ReductionStrategy
| This class defines ReductionStrategy. More...

## Namespaces

| polybori
| polybori::groebner

## Functions

bool | polybori::groebner::irreducible_lead (Monomial lm, const ReductionStrategy &strat)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-29

This file includes the definition of the class `ReductionStrategy`.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team